diff --git a/Makefile b/Makefile
index 1915244..62a8f67 100644
--- a/Makefile
+++ b/Makefile
@@ -1,14 +1,15 @@
+FC=gfortran
 optimize=-O
-FFLAGS=$(optimize) -ffpe-trap=overflow,invalid,denormal
+FFLAGS=$(optimize) -ffixed-line-length-none
 CFLAGS=$(optimize)
 #if SAC library has been installed, uncomment the next two lines
-#CFLAGS=$(optimize) -DSAC_LIB
-#SACLIB=-L$(SACHOME)/lib -lsac -lsacio
+CFLAGS=$(optimize) -DSAC_LIB
+SACLIB=-L$(SACHOME)/lib -lsac -lsacio -no-pie
 #

 SUBS = fft.o Complex.o sacio.o
 FKSUBS = fk.o kernel.o prop.o source.o bessel.o $(SUBS)
-TARGETS = fk syn st_fk trav sachd
+TARGETS = fk syn st_fk trav sachd fk2mt

 all: $(TARGETS)

@@ -27,6 +28,9 @@ sachd: sachd.o sacio.o
 trav: trav.o tau_p.o
 	$(LINK.f) -o $@ trav.o tau_p.o -lm

+fk2mt: fk2mt.o sacio.o radiats.o
+	$(LINK.f) -o $@ $^ -lm
+
 bessel.f: bessel.FF
 	cpp -traditional-cpp $< > $@

diff --git a/sac.h b/sac.h
index f7d8c2f..6e2ff49 100644
--- a/sac.h
+++ b/sac.h
@@ -316,7 +316,7 @@ int	wrtsac2(const char *, int, const float *x, const float *y);
 SACHEAD	sachdr(float, int, float);
 void	swab4(char *, int);
 void	ResetSacTime(SACHEAD *);
-int	sac_head_inex(const char *name);
+int	sac_head_index(const char *name);
 int	testByte(char *);

 /* the following two are in libsac.a */
diff --git a/syn.c b/syn.c
index 57f32c3..ecb9183 100644
--- a/syn.c
+++ b/syn.c
@@ -139,7 +139,7 @@ int main(int argc, char **argv) {
   case 1:
      if (mtg) {
         mt[0][0]=mt[1][1]=mt[2][2] = 1.;
-	mt[0][1],mt[0][2],mt[1][2] = 0.;
+	mt[0][1]=mt[0][2]=mt[1][2] = 0.;
      } else {
         nn = 1;
      }
